Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(622)

Side by Side Diff: chrome/installer/linux/debian/build.sh

Issue 2597523003: Remove wheezy sysroot images support (Closed)
Patch Set: . Created 3 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # 2 #
3 # Copyright (c) 2012 The Chromium Authors. All rights reserved. 3 # Copyright (c) 2012 The Chromium Authors. All rights reserved.
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # TODO(mmoss) This currently only works with official builds, since non-official 7 # TODO(mmoss) This currently only works with official builds, since non-official
8 # builds don't add the "${BUILDDIR}/installer/" files needed for packaging. 8 # builds don't add the "${BUILDDIR}/installer/" files needed for packaging.
9 9
10 set -e 10 set -e
(...skipping 209 matching lines...) Expand 10 before | Expand all | Expand 10 after
220 TARGETARCH="x64" 220 TARGETARCH="x64"
221 else 221 else
222 TARGETARCH="ia32" 222 TARGETARCH="ia32"
223 fi 223 fi
224 224
225 # call cleanup() on exit 225 # call cleanup() on exit
226 trap cleanup 0 226 trap cleanup 0
227 process_opts "$@" 227 process_opts "$@"
228 BUILDDIR=${BUILDDIR:=$(readlink -f "${SCRIPTDIR}/../../../../out/Release")} 228 BUILDDIR=${BUILDDIR:=$(readlink -f "${SCRIPTDIR}/../../../../out/Release")}
229 229
230 if [[ "$(basename ${SYSROOT})" = "debian_wheezy_"*"-sysroot" ]]; then 230 if [[ "$(basename ${SYSROOT})" = "debian_jessie_"*"-sysroot" ]]; then
231 TARGET_DISTRO="wheezy"
232 elif [[ "$(basename ${SYSROOT})" = "debian_jessie_"*"-sysroot" ]]; then
233 TARGET_DISTRO="jessie" 231 TARGET_DISTRO="jessie"
234 else 232 else
235 echo "Debian package can only be built using the wheezy or jessie sysroot." 233 echo "Debian package can only be built using the jessie sysroot."
236 exit 1 234 exit 1
237 fi 235 fi
238 236
239 source ${BUILDDIR}/installer/common/installer.include 237 source ${BUILDDIR}/installer/common/installer.include
240 238
241 get_version_info 239 get_version_info
242 VERSIONFULL="${VERSION}-${PACKAGE_RELEASE}" 240 VERSIONFULL="${VERSION}-${PACKAGE_RELEASE}"
243 241
244 if [ "$BRANDING" = "google_chrome" ]; then 242 if [ "$BRANDING" = "google_chrome" ]; then
245 source "${BUILDDIR}/installer/common/google-chrome.info" 243 source "${BUILDDIR}/installer/common/google-chrome.info"
(...skipping 43 matching lines...) Expand 10 before | Expand all | Expand 10 after
289 287
290 # Compare the expected dependency list to the generated list. 288 # Compare the expected dependency list to the generated list.
291 BAD_DIFF=0 289 BAD_DIFF=0
292 diff -u "$SCRIPTDIR/expected_deps_${TARGETARCH}_${TARGET_DISTRO}" actual || \ 290 diff -u "$SCRIPTDIR/expected_deps_${TARGETARCH}_${TARGET_DISTRO}" actual || \
293 BAD_DIFF=1 291 BAD_DIFF=1
294 if [ $BAD_DIFF -ne 0 ] && [ -z "${IGNORE_DEPS_CHANGES:-}" ]; then 292 if [ $BAD_DIFF -ne 0 ] && [ -z "${IGNORE_DEPS_CHANGES:-}" ]; then
295 echo 293 echo
296 echo "ERROR: Shared library dependencies changed!" 294 echo "ERROR: Shared library dependencies changed!"
297 echo "If this is intentional, please update:" 295 echo "If this is intentional, please update:"
298 echo "chrome/installer/linux/debian/expected_deps_ia32_jessie" 296 echo "chrome/installer/linux/debian/expected_deps_ia32_jessie"
299 echo "chrome/installer/linux/debian/expected_deps_ia32_wheezy"
300 echo "chrome/installer/linux/debian/expected_deps_x64_jessie" 297 echo "chrome/installer/linux/debian/expected_deps_x64_jessie"
301 echo "chrome/installer/linux/debian/expected_deps_x64_wheezy"
302 echo 298 echo
303 exit $BAD_DIFF 299 exit $BAD_DIFF
304 fi 300 fi
305 301
306 # Additional dependencies not in the dpkg-shlibdeps output. 302 # Additional dependencies not in the dpkg-shlibdeps output.
307 # ca-certificates: Make sure users have SSL certificates. 303 # ca-certificates: Make sure users have SSL certificates.
308 # fonts-liberation: Make sure users have compatible fonts for viewing PDFs. 304 # fonts-liberation: Make sure users have compatible fonts for viewing PDFs.
309 # libappindicator1: Make systray icons work in Unity. 305 # libappindicator1: Make systray icons work in Unity.
310 # libnss3: Pull a more recent version of NSS than required by runtime linking, 306 # libnss3: Pull a more recent version of NSS than required by runtime linking,
311 # for security and stability updates in NSS. 307 # for security and stability updates in NSS.
(...skipping 37 matching lines...) Expand 10 before | Expand all | Expand 10 after
349 # Only use the default REPOCONFIG if it's unset (e.g. verify_channel might have 345 # Only use the default REPOCONFIG if it's unset (e.g. verify_channel might have
350 # set it to an empty string) 346 # set it to an empty string)
351 REPOCONFIG="${REPOCONFIG-deb [arch=${ARCHITECTURE}] http://${BASEREPOCONFIG}}" 347 REPOCONFIG="${REPOCONFIG-deb [arch=${ARCHITECTURE}] http://${BASEREPOCONFIG}}"
352 # Allowed configs include optional HTTPS support and explicit multiarch 348 # Allowed configs include optional HTTPS support and explicit multiarch
353 # platforms. 349 # platforms.
354 REPOCONFIGREGEX="deb (\\\\[arch=[^]]*\\\\b${ARCHITECTURE}\\\\b[^]]*\\\\]" 350 REPOCONFIGREGEX="deb (\\\\[arch=[^]]*\\\\b${ARCHITECTURE}\\\\b[^]]*\\\\]"
355 REPOCONFIGREGEX+="[[:space:]]*) https?://${BASEREPOCONFIG}" 351 REPOCONFIGREGEX+="[[:space:]]*) https?://${BASEREPOCONFIG}"
356 stage_install_debian 352 stage_install_debian
357 353
358 do_package 354 do_package
OLDNEW
« no previous file with comments | « chrome/installer/linux/BUILD.gn ('k') | chrome/installer/linux/debian/expected_deps_ia32_wheezy » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698